3
$\begingroup$

I am working on creating a dashboard that contains CircuitComposer and several other ipywidgets and plots that will allow for playing around with quantum circuits in an intuitable manner. For this I have decided to use a voila rendered jupyter notebook. In trying to do so it became clear to me that there are some serious compatibility issues between these packages. Can anybody attest for the stability of a given combination of these packages? For example as far as I understand voila 0.4.0 has problems with ipywidgets, and from my own experience ibm_quantum_widgets is not compatible with python>3.10.

$\endgroup$

1 Answer 1

1
$\begingroup$

ibm_quantum_widgets is now a part of IBM Quantum Experience, and cannot be shared publicly. The ibm_quantum_widgets for notebook was removed from PyPI since Mar 27th (see here)

If you still want to use ibm_quantum_widgets, you have to hack into the IBM Experience Server (using some Jupyter tweaks, not recommended).

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.